Bug 812125 - Include more information on the rhevm provider within installation guide
Include more information on the rhevm provider within installation guide
Status: CLOSED CURRENTRELEASE
Product: CloudForms Common
Classification: Red Hat
Component: Docs Installation Guide (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity medium
: beta6
: ---
Assigned To: Dan Macpherson
ecs-bugs
: Documentation, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 15:58 EDT by james labocki
Modified: 2012-12-10 16:45 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-10 16:45:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james labocki 2012-04-12 15:58:23 EDT
Within 

http://docs.redhat.com/docs/en-US/CloudForms/1.0/html-single/Installation_Guide/index.html#appe-config_private_providers-rhevm

we should provide information on how to verify the hook is installed and also inform users they need to do some configuration on the rhev-m instance.

To verify the state of the floppy injector access the RHEVM API's capabilities (https://<rhevm address>:8443/api/capabilities), look in the custom_properties section for "floppyinject".  If it is not installed, it will not be listed.


     On the RHEL Hypervisor host

   a) access the hook - it is in the CF-tools channel - if you don't subscribe the rhel hypervisor to the channel, you can copy it from the SE repo (/var/lib/pulp)

   b) install the hook
       - yum install /opt/hooks/hooks/vdsm-hook-floppyinject-1*.rpm

    ON THE RHEV-M SERVER
    --------------------
    a) update the rhev-m db
       - rhevm-config -s UserDefinedVMProperties='floppyinject=^.*:.*$'
--cver=3.0
    b) restart jboss
       - service jbossas restart
Comment 7 Lana Brindley 2012-11-18 21:38:39 EST
This documentation has now been dropped to translation ahead of publication. For any further issues, please open a new a bug.

LKB
Comment 8 Lana Brindley 2012-12-10 16:45:43 EST
This document is now publicly available on access.redhat.com. For any further issues, please raise a new bug.

LKB

Note You need to log in before you can comment on or make changes to this bug.